Retrieve payment method settings
curl --request GET \
--url https://api.hubapi.com/commerce/payment-methods/2027-03-beta/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payment-methods/2027-03-beta/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payment-methods/2027-03-beta/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentMethodSettings": [
{
"activeCurrencies": "USD,CAD,EUR,MXN",
"commercePaymentMethod": "ACH",
"isDefaultOn": true,
"supportedCurrencies": "USD,EUR,CAD,MXN"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Payment Methods
Retrieve payment method settings
Retrieve the settings for payment methods in your HubSpot account. This endpoint provides information about the current configuration of payment methods, including their capability status and supported currencies. It is useful for understanding which payment methods are active and their default status.
GET
/
commerce
/
payment-methods
/
2027-03-beta
/
settings
Retrieve payment method settings
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Response
successful operation
A list of CommercePaymentMethodSettingPublic corresponding to individual payment methods.
Show child attributes
Show child attributes
Last modified on September 11, 2026
Was this page helpful?